#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        A QtQuick plugin providing high-performance charts
Name:           kquickcharts
Version: 6.12.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6ShaderTools)
BuildRequires:  cmake(Qt6Widgets)

%description
The Quick Charts module provides a set of charts that can be used
from QtQuick applications. They are intended to be used for both
simple display of data as well as continuous display of high-volume
data (often referred to as plotters). The charts use a system called
distance fields for their accelerated rendering, which provides ways
of using the GPU for rendering 2D shapes without loss of quality.

%files
%_kf6_categoriesdir/kquickcharts.*categories
%_kf6_qmldir/org/kde/quickcharts/

#--------------------------------------------------------------------

%define quickcharts_major 1
%define libquickcharts %mklibname quickcharts %{quickcharts_major}

%package -n %libquickcharts
Summary:        A QtQuickCharts plugin providing high-performance charts
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libquickcharts
A QtQuickCharts plugin providing high-performance charts.

%files -n %libquickcharts
%_kf6_libdir/libQuickCharts.so.%{quickcharts_major}
%_kf6_libdir/libQuickCharts.so.%{version}

#--------------------------------------------------------------------

%define quickchartscontrols_major 1
%define libquickchartscontrols %mklibname quickchartscontrols %{quickchartscontrols_major}

%package -n %libquickchartscontrols
Summary:        A QtQuickChartsControls plugin providing high-performance charts
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libquickchartscontrols
A QtQuickChartsControls plugin providing high-performance charts.

%files -n %libquickchartscontrols
%_kf6_libdir/libQuickChartsControls.so.%{quickchartscontrols_major}
%_kf6_libdir/libQuickChartsControls.so.%{version}

#--------------------------------------------------------------------

%define kf6quickcharts_devel %mklibname kf6quickcharts -d

%package -n %kf6quickcharts_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libquickcharts = %{version}-%{release}
Requires:       %libquickchartscontrols = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6quickcharts_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6quickcharts_devel
%_kf6_libdir/cmake/KF6QuickCharts/
%_kf6_libdir/libQuickCharts.so
%_kf6_libdir/libQuickChartsControls.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


%changelog
* Sat Mar 15 2025 daviddavid <daviddavid> 6.12.0-1.mga10
+ Revision: 2164149
- New version 6.12.0

* Thu Jan 09 2025 daviddavid <daviddavid> 6.10.0-1.mga10
+ Revision: 2136416
- New version 6.10.0

* Fri Dec 20 2024 daviddavid <daviddavid> 6.9.0-1.mga10
+ Revision: 2126601
- New version 6.9.0

* Sat Nov 09 2024 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 2113103
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 6.7.0-1.mga10
+ Revision: 2104781
- New version 6.7.0

* Sat Sep 14 2024 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2095943
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084394
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070557
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063416
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056847
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044945
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037505
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029598
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025808
- New version 5.247.0
- New version 5.246.0

* Fri Nov 10 2023 neoclust <neoclust> 5.245.0-1.mga10
+ Revision: 2005751
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1998988
- New version 5.111.0

* Sun Sep 17 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987381
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952069
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947872
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941378
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935028
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922279
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911643
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900247
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887683
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880629
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871729
- New version 5.96.0
- New version 5.93.0

* Tue Apr 05 2022 umeabot <umeabot> 5.92.0-2.mga9
+ Revision: 1844654
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.92.0

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754857
- New version 5.88.0
- New version 5.87.0
- New version 5.86.0
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723483
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714877
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702055
- New version 5.80.0

* Fri Feb 26 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691613
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653363
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633214
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625638
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612346
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603118
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592813
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582039
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566530
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556706
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1547234
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486843
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 daviddavid <daviddavid> 5.65.0-1.mga8
+ Revision: 1467083
- initial package kquickcharts

